List API Keys
Beta/v1/auth/api-keysThis endpoint is idempotent. Learn more
Returns a paginated list of API keys.
cursoroptional stringQuery parameter: cursor for List API Keys
limitoptional integerQuery parameter: limit for List API Keys
qoptional stringQuery parameter: q for List API Keys
statuses[]optional arrayenumValues:activeexpiredrevokedAPI key statuses to filter by.
include[]optional arrayenumValues:rolerole.permissionsSub-objects to expand in the response. When omitted, sub-objects are returned as null.
objectstringenumValues:listObject type for APIKey list
page_infoobjectPagination metadata for APIKey list
next_cursorstringnullableCursor to fetch the next page, null if no more pages.
prev_cursorstringnullableCursor to fetch the previous page, null if on the first page.
has_next_pagebooleanWhether more results exist after this page.
has_prev_pagebooleanWhether results exist before this page.
dataarray of objectArray of APIKey resources in this page
idstringAPI key ID.
objectstringenumValues:api_keyResource type identifier.
namestringHuman-readable name for the API key.
redacted_valuestringRedacted key value.
roleobjectExpandablenullableAssigned role.
idstringRole ID.
objectstringenumValues:roleResource type identifier.
namestringDisplay name.
typestringenumValues:adminuserscannerRole type code.
ownerobjectnullableOwner of this resource.
null in this endpoint.permissionsarray of stringExpandablenullablePermissions in {domain}:{action} format.
created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last updated timestamp.
created_atstring (date-time)Creation timestamp.
updated_atstring (date-time)Last updated timestamp.
last_used_atstring (date-time)nullableLast used timestamp.
expires_atstring (date-time)nullableExpiration timestamp.
revoked_atstring (date-time)nullableRevocation timestamp.
Responses
Successful response for List API Keys